# TODO: Add comment
# 
# Author: holzheu
###############################################################################

.setUp <- function(){
	library(bayeos)
	bayeos.connect('http://bti3x3.bayceer.uni-bayreuth.de/servlet/XMLServlet','gast','gast')
}

test.References<-function(){				
	# Note: the user needs the appropriate rights to run this test	
	f = bayeos.createFolder("Test Folder")		
	bayeos.cd(f)
	id = bayeos.createSeries('Series A')	
	# Add reference
	bayeos.createReferences(id,'Celsius','Unit')
	# get reference
	ref=bayeos.getReferences(id)
	checkTrue(length(ref[,1]) == 1)	
	checkTrue(length(ref) == 4)	
	ref=bayeos.deleteReferences(id,'Unit')
	ref=bayeos.getReferences(id)
	checkTrue(length(ref[,1]) == 0)	
	checkTrue(length(ref) == 4)	
	# Delete Series 
	bayeos.deleteNode(id,confirm=FALSE,removeRows=TRUE)
	
	# Delete folder
	bayeos.cd('..')
	bayeos.deleteNode(f,confirm=FALSE)
	
}

.tearDown<-function(){
	bayeos.close()	
}

