.setUp<-function() {
	library(bayeos)
	bayeos.connect('http://bti3x3.bayceer.uni-bayreuth.de/servlet/XMLServlet','gast','gast')	
}



test.getMatrix<-function() {			
	m = bayeos.getSeries(ids=c(123580,123581,123550),from="2010-01-01",until="2010-01-02")
	checkTrue(length(names(m)) == 3)
	checkTrue(length(m)== 143*3)		
}


test.getEmptyMatrix<-function() {			
	m = bayeos.getSeries(ids=c(123580,123581,123550))
	checkTrue(length(m)==0)		
}

test.getDuplicateIds<-function(){
	checkException(bayeos.getSeries(ids=c(123580,123580)))	
}

.tearDown<-function(){	
	bayeos.close()
}